<template>
  <el-col :xs="24" :md="6" style="margin-bottom: 2%">
    <el-card shadow="hover">
      <div class="clearfix" slot="header">
        <span class="card-header-title">Загрузка TVR</span>
        <el-button
          size="mini"
          type="primary"
          style="float: right"
          @click="goToBaseChannelsAudiencesView"
        >
          БА каналов
        </el-button>
      </div>
      <el-upload :action="URL" :headers="HEADERS" accept=".xlsx" drag>
        <i class="el-icon-upload" />
        <div class="el-upload__text">
          Перетащите файлы или <em>нажмите</em> чтобы загрузить.
        </div>
        <div class="el-upload__tip" slot="tip">Файлы с расширением *.xlsx</div>
      </el-upload>
    </el-card>
  </el-col>
</template>

<script lang="ts">
import { Component, Mixins } from "vue-property-decorator";
import ComponentMixin from "../common/ComponentMixin";
import { AxiosInstance } from "@/modules/AxiosInstance";

/**
 * Компонент загрузки Palomars выгрузки в .xlsx [Excel] формате.
 */
@Component
export default class ComponentUploadTVR extends Mixins(ComponentMixin) {
  private readonly URL = `${AxiosInstance.defaults.baseURL}/upload-tvr`;
  private readonly HEADERS = {
    Authorization:
      "Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJpbXVsbGlrYTEifQ.I8fZOS0SW5AO94gT2yoIlJt5nR7WqfSO5SrtInKpay73FLPo20mjT3LINgls_TJgAJvazv1VzPq-J62wxAj0Eg",
  };
  private goToBaseChannelsAudiencesView(): void {
    // Даём анимации воспроизвестись после смены флага и меняем представление
    setTimeout(() => {
      this.$router.push({
        name: "ViewChannelBaseAudience",
      });
    }, 200);
  }
}
</script>

<style lang="scss">
div.el-upload--text,
div.el-upload-dragger {
  width: 100%;
}
</style>
